Subject: Re: elogind: SwayWM fails to launch from vTTY: Could not take device: No such file or directory

From: Andrew Bower <[email-masked]>
Date: Sun, 25 Jan 2026 19:06:44 +0000

On Sun, Jan 25, 2026 at 07:03:54PM +0000, [email-masked] wrote:
> On Sunday, January 25th, 2026 at 12:51, Andrew Bower <[email-masked]> wrote:
> > Just to confirm this with you - when you added '--verbose' to
> > START_ARGS, did the output confirm to you:
> > 
> > -> Notification => ready for service.
> > 
> > 
> > ? If you only relied on reboot then 'service elogind start' should show
> > this.
> 
> This is correct; with --verbose in START_ARGS, I do see this "ready for service" message upon `service elogind restart`.
> 
> Also, man sd_notify has interesting notes about $NOTIFY_SOCKET w/re: return values of calls re: status messages and supporting the various schemes of service managers, but I don't have enough knowledge to know if it's pertinent.
> 
> I'm happy to test any branch or patch made available, but drumming one up myself is unlikely right now.

I have a hunch this will do it...

The error is indeed coming from a call that will cause failure. Setting
this argument to 'true' will deconfigure use of the notify socket once
we've signalled readiness.

$ git diff
diff --git a/src/shared/daemon-util.h b/src/shared/daemon-util.h
index 711885bba..6823cc31d 100644
--- a/src/shared/daemon-util.h
+++ b/src/shared/daemon-util.h
@@ -12,7 +12,7 @@
 
 static inline const char *notify_start(const char *start, const char *stop) {
         if (start)
-                (void) sd_notify(false, start);
+                (void) sd_notify(true, start);
 
         return stop;
 }